/**
 * jQuery Flexdatalist basic stylesheet.
 *
 * Version:
 * 2.2.1
 *
 * Github:
 * https://github.com/sergiodlopes/jquery-flexdatalist/
 *
 */
.flexdatalist-results {
	position: absolute;
	top: 0;
	left: 0;
	background: #fff;
	z-index: 100000;
	max-height: 300px;
	overflow-y: auto;
	box-shadow: 0px 5px 5px rgba(0, 0, 0, 0.15);
	color: #333;
	list-style: none;
	box-sizing: border-box;
	padding: 5px;
	border-bottom-left-radius: 20px;
	border-bottom-right-radius: 0px;
	border-top-width: 0px;
	border-right-width: 0px;
	border-bottom-width: 0px;
	border-left-width: 0px;
	border-top-style: none;
	border-right-style: solid;
	border-bottom-style: solid;
	border-left-style: solid;
	border-top-color: #444;
	border-right-color: #444;
	border-bottom-color: #444;
	border-left-color: #444;
	margin: 0;
}
.flexdatalist-results li {
	display: flex;
	font-family: "Roboto Condensed", sans-serif;
	border-bottom: 0px solid #ccc;
	font-size: 15px;
	color: #333;
	/*line-height: 20px;*/
	padding-top: 5px;
	padding-right: 10px;
	padding-bottom: 5px;
	padding-left: 40px;
	border-radius: 2px;
	margin-top: 5px;
	margin-right: 5px;
	margin-bottom: 5px;
	margin-left: 5px;
	flex-wrap: wrap;
	flex-direction: column;
	transition-property: background-color;
	transition-duration: 0.2s;
	transition-timing-function: ease-in-out;
	user-select: none;
	background-image: url(../../graphisme/commerce/recherche-loupe-fenetre-dataliste.svg);
	background-repeat: no-repeat;
	background-position: left +15px top +8px;
}
.flexdatalist-results li:first-of-type {
	margin-top: 10px;
}
.flexdatalist-results li:last-of-type {
	margin-bottom: 15px;
}
.flexdatalist-results li span.highlight {
    font-weight: 400;
    text-decoration: underline;
}
.flexdatalist-results li span.item-rubrique {
	font-size: 13px;
	font-weight: 400;
	color: #999;
	/*padding-left: 10px;*/
}
.flexdatalist-results li.active {
    background-color: #f5f5f5;
    color: var(--dataliste-couleur-texte-survol);
    cursor: pointer;
}
.flexdatalist-results li.no-results {
    font-style: italic;
    color: #888;
}

/**
 * Grouped items
 */
.flexdatalist-results li.group {
    background: #F3F3F4;
    color: #666;
    padding: 8px 8px;
}
.flexdatalist-results li .group-name {
    font-weight: 700;
}
.flexdatalist-results li .group-item-count {
    font-size: 85%;
    color: #777;
    display: inline-block;
    padding-left: 10px;
}

/**
 * Multiple items
 */
.flexdatalist-multiple:before {
    content: '';
    display: block;
    clear: both;
}
.flexdatalist-multiple {
    width: 100%;
    margin: 0;
    padding: 0;
    list-style: none;
    text-align: left;
    cursor: text;
}
.flexdatalist-multiple.disabled {
    background-color: #eee;
    cursor: default;
}
.flexdatalist-multiple:after {
    content: '';
    display: block;
    clear: both;
}
.flexdatalist-multiple li {
    display: inline-block;
    position: relative;
    margin: 5px;
    float: left;
}
.flexdatalist-multiple li.input-container,
.flexdatalist-multiple li.input-container input {
    border: none;
    height: auto;
    padding: 0 0 0 4px;
    line-height: 24px;
}

.flexdatalist-multiple li.value {
    display: inline-block;
    padding: 2px 25px 2px 7px;
    background: #eee;
    border-radius: 3px;
    color: #777;
    line-height: 20px;
}
.flexdatalist-multiple li.toggle {
    cursor: pointer;
    transition: opacity ease-in-out 300ms;
}
.flexdatalist-multiple li.toggle.disabled {
    text-decoration: line-through;
    opacity: 0.80;
}

.flexdatalist-multiple li.value span.fdl-remove {
    font-weight: 700;
    padding: 2px 5px;
    font-size: 20px;
    line-height: 20px;
    cursor: pointer;
    position: absolute;
    top: 0;
    right: 0;
    opacity: 0.70;
}
.flexdatalist-multiple li.value span.fdl-remove:hover {
    opacity: 1;
}
